using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT_PT002
{
    public class ModbusData
    {

    }

    public class _30000_ModbusAddress
    {
        public const int _01_1_IsProcessing = 3010;
        public const int _02_1_IsLeak = 3011;
        public const int _03_2_IsProcessing = 3012;
        public const int _04_2_IsLeak = 3013;
        public const int _05_3_IsProcessing = 3014;
        public const int _06_3_IsLeak = 3015;
        public const int _07_4_IsProcessing = 3016;
        public const int _08_4_IsLeak = 3017;
        public const int _09_5_IsProcessing = 3018;
        public const int _10_5_IsLeak = 3019;
        public const int _11_6_IsProcessing = 3020;
        public const int _12_6_IsLeak = 3021;
        public const int _13_7_IsProcessing = 3022;
        public const int _14_7_IsLeak = 3023;
        public const int _15_8_IsProcessing = 3024;
        public const int _16_8_IsLeak = 3025;
        public const int _17_9_IsProcessing = 3026;
        public const int _18_9_IsLeak = 3027;
        public const int _19_10_IsProcessing = 3028;
        public const int _20_10_IsLeak = 3029;
    }
    public class _30000_ModbusData
    {
        #region Field
        private short m_1_IsProcessing;
        private short m_1_IsLeak;
        private short m_2_IsProcessing;
        private short m_2_IsLeak;
        private short m_3_IsProcessing;
        private short m_3_IsLeak;
        private short m_4_IsProcessing;
        private short m_4_IsLeak;
        private short m_5_IsProcessing;
        private short m_5_IsLeak;
        private short m_6_IsProcessing;
        private short m_6_IsLeak;
        private short m_7_IsProcessing;
        private short m_7_IsLeak;
        private short m_8_IsProcessing;
        private short m_8_IsLeak;
        private short m_9_IsProcessing;
        private short m_9_IsLeak;
        private short m_10_IsProcessing;
        private short m_10_IsLeak;
        #endregion

        #region Constructor
        public _30000_ModbusData()
        {
            this.Initialization();
        }
        #endregion

        #region Property
        public short _1_IsProcessing
        {
            get { return this.m_1_IsProcessing; }
            set { this.m_1_IsProcessing = value; }
        }
        public short _1_IsLeak
        {
            get { return this.m_1_IsLeak; }
            set { this.m_1_IsLeak = value; }
        }
        public short _2_IsProcessing
        {
            get { return this.m_2_IsProcessing; }
            set { this.m_2_IsProcessing = value; }
        }
        public short _2_IsLeak
        {
            get { return this.m_2_IsLeak; }
            set { this.m_2_IsLeak = value; }
        }
        public short _3_IsProcessing
        {
            get { return this.m_3_IsProcessing; }
            set { this.m_3_IsProcessing = value; }
        }
        public short _3_IsLeak
        {
            get { return this.m_3_IsLeak; }
            set { this.m_3_IsLeak = value; }
        }
        public short _4_IsProcessing
        {
            get { return this.m_4_IsProcessing; }
            set { this.m_4_IsProcessing = value; }
        }
        public short _4_IsLeak
        {
            get { return this.m_4_IsLeak; }
            set { this.m_4_IsLeak = value; }
        }
        public short _5_IsProcessing
        {
            get { return this.m_5_IsProcessing; }
            set { this.m_5_IsProcessing = value; }
        }
        public short _5_IsLeak
        {
            get { return this.m_5_IsLeak; }
            set { this.m_5_IsLeak = value; }
        }
        public short _6_IsProcessing
        {
            get { return this.m_6_IsProcessing; }
            set { this.m_6_IsProcessing = value; }
        }
        public short _6_IsLeak
        {
            get { return this.m_6_IsLeak; }
            set { this.m_6_IsLeak = value; }
        }
        public short _7_IsProcessing
        {
            get { return this.m_7_IsProcessing; }
            set { this.m_7_IsProcessing = value; }
        }
        public short _7_IsLeak
        {
            get { return this.m_7_IsLeak; }
            set { this.m_7_IsLeak = value; }
        }
        public short _8_IsProcessing
        {
            get { return this.m_8_IsProcessing; }
            set { this.m_8_IsProcessing = value; }
        }
        public short _8_IsLeak
        {
            get { return this.m_8_IsLeak; }
            set { this.m_8_IsLeak = value; }
        }
        public short _9_IsProcessing
        {
            get { return this.m_9_IsProcessing; }
            set { this.m_9_IsProcessing = value; }
        }
        public short _9_IsLeak
        {
            get { return this.m_9_IsLeak; }
            set { this.m_9_IsLeak = value; }
        }
        public short _10_IsProcessing
        {
            get { return this.m_10_IsProcessing; }
            set { this.m_10_IsProcessing = value; }
        }
        public short _10_IsLeak
        {
            get { return this.m_10_IsLeak; }
            set { this.m_10_IsLeak = value; }
        }

        public string HexString_1_IsProcessing
        {
            get
            {
                string hexString = this._1_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_1_IsLeak
        {
            get
            {
                string hexString = this._1_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_2_IsProcessing
        {
            get
            {
                string hexString = this._2_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_2_IsLeak
        {
            get
            {
                string hexString = this._2_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_3_IsProcessing
        {
            get
            {
                string hexString = this._3_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_3_IsLeak
        {
            get
            {
                string hexString = this._3_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_4_IsProcessing
        {
            get
            {
                string hexString = this._4_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_4_IsLeak
        {
            get
            {
                string hexString = this._4_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_5_IsProcessing
        {
            get
            {
                string hexString = this._5_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_5_IsLeak
        {
            get
            {
                string hexString = this._5_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_6_IsProcessing
        {
            get
            {
                string hexString = this._6_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_6_IsLeak
        {
            get
            {
                string hexString = this._6_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_7_IsProcessing
        {
            get
            {
                string hexString = this._7_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_7_IsLeak
        {
            get
            {
                string hexString = this._7_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_8_IsProcessing
        {
            get
            {
                string hexString = this._8_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_8_IsLeak
        {
            get
            {
                string hexString = this._8_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_9_IsProcessing
        {
            get
            {
                string hexString = this._9_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_9_IsLeak
        {
            get
            {
                string hexString = this._9_IsLeak.ToString("X8");
                return hexString;
            }
        }
        public string HexString_10_IsProcessing
        {
            get
            {
                string hexString = this._10_IsProcessing.ToString("X8");
                return hexString;
            }
        }
        public string HexString_10_IsLeak
        {
            get
            {
                string hexString = this._10_IsLeak.ToString("X8");
                return hexString;
            }
        }
        #endregion

        #region Method
        public void Initialization()
        {
            this._1_IsProcessing = 0;
            this._1_IsLeak = 0;
            this._2_IsProcessing = 0;
            this._2_IsLeak = 0;
            this._3_IsProcessing = 0;
            this._3_IsLeak = 0;
            this._4_IsProcessing = 0;
            this._4_IsLeak = 0;
            this._5_IsProcessing = 0;
            this._5_IsLeak = 0;
            this._6_IsProcessing = 0;
            this._6_IsLeak = 0;
            this._7_IsProcessing = 0;
            this._7_IsLeak = 0;
            this._8_IsProcessing = 0;
            this._8_IsLeak = 0;
            this._9_IsProcessing = 0;
            this._9_IsLeak = 0;
            this._10_IsProcessing = 0;
            this._10_IsLeak = 0;
        }
        #endregion
    }

    public class _40000_ModbusAddress
    {
        public const int _03_Operation = 12;
        public const int _04_OperationResult = 13;
        public const int _05_ProductChange = 14;
        public const int _06_ProductChange = 15;
        public const int _07_ProductChangeResult = 16;
    }
    public class _40000_ModbusData
    {
        #region Field
        private int m_40013_Operation;
        private int m_40014_OperationResult;
        private int m_40015_ProductChange;
        private int m_40017_ProductChangeResult;
        #endregion

        #region Constructor
        public _40000_ModbusData()
        {
            this.Initialization();
        }
        #endregion

        #region Property
        public int _40013_Operation
        {
            get { return this.m_40013_Operation; }
            set { this.m_40013_Operation = value; }
        }
        public int _40014_OperationResult
        {
            get { return this.m_40014_OperationResult; }
            set { this.m_40014_OperationResult = value; }
        }
        public int _40015_ProductChange
        {
            get { return this.m_40015_ProductChange; }
            set { this.m_40015_ProductChange = value; }
        }
        public int _40017_ProductChangeResult
        {
            get { return this.m_40017_ProductChangeResult; }
            set { this.m_40017_ProductChangeResult = value; }
        }
        #endregion

        #region Method
        public void Initialization()
        {
            this._40013_Operation = 0;
            this._40014_OperationResult = 0;
            this._40015_ProductChange = 0;
            this._40017_ProductChangeResult = 0;
        }
        #endregion
    }
}
